#include <stdio.h>

#ifdef _WIN32
#include <windows.h>
#define sleep(n) Sleep(n*1000)
#else
#include <unistd.h>
#endif

#include "clockstack.h"

void f1(void);
void f2(void);
void f3(void);
void f4(void);

int main(int argc, char *argv[])
{
    FUNC_ENTER
    f1();
    FUNC_EXIT
    DUMP_STATS
    printf("Done\n");
    return 0;
}

void f1(void)
{
    FUNC_ENTER
    f2();
    sleep(1);
    FUNC_EXIT
}


void f2(void)
{
    FUNC_ENTER
    f3();
    sleep(2);
    FUNC_EXIT
}

void f3(void)
{
    int i;
    FUNC_ENTER
    for(i = 0; i < 4; i++)
    {
        f4();
    }
    sleep(3);
    FUNC_EXIT
}

void f4(void)
{
    FUNC_ENTER
    sleep(1);
    FUNC_EXIT
}
